Subject: Re: [PATCH v3 0/4] ci: detect more warnings via `-Og`

From: Junio C Hamano <[email-masked]>
Date: Fri, 07 Jun 2024 13:47:25 -0700

Patrick Steinhardt <[email-masked]> writes:

> this is the third version of this patch series that adapts one of our CI
> jobs to compile with `-Og` for improved coverage of warnings.
>
> Changes compared to v2:
>
>   - Typo fixes for commit messages.
>
>   - Replaced the `O` variable with `CFLAGS_APPEND`. If that isn't
>     palatable to folks then I'll drop this altogether and will inline it
>     into the CI script, duplicating the default CFLAGS there.
>
>   - Start compiling with V=1 so that the change can actually be seen. It
>     also shouldn't clutter the job output too much given that the build
>     is in a collapsible section on both GitHub and GitLab.

I've taken the "Python 2 - missing 'test'" on a separate topic and
will merge it down to 'next' and 'master' to fast track.

The "override CFLAGS += CFLAGS_APPEND" thing looks good.

I am not sure how annoying people will find the V=1 output.  It is
irrelevant that it is in a collapsible section.  What matters is if
it helps those who *need* to expand that collapsible section to take
a look, or if it clutteres what they have to wade through.

When studying a build failure, I rarely found the exact command line
given by V=1 helpful, but YMMV---while I am not 100% convinced, let's
take the series as-is, because not losing information may sometimes
help even when we need to visually filter out extra clutter.

Thanks.